Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse 4 » e4 IDE setup error(Error installing e4 features)
icon5.gif  e4 IDE setup error [message #984597] Wed, 14 November 2012 20:52 Go to next message
Craig Foote is currently offline Craig Foote
Messages: 195
Registered: July 2009
Senior Member
Forgive me if this is an inappropriate post, redirection would be welcome.

I've just downloaded Eclipse 4.2.1 and am trying to install the e4 features (all but server) as per http://wiki.eclipse.org/E4/Install, i.e. 0.12, but am getting the following error. Please advise.

Cannot complete the install because of a conflicting dependency.
  Software being installed: Eclipse e4 Modeled Workbench (Incubation) 0.10.0.v20120422-1701-7BAE7GFQFxCN4sz0iedmVOY27B74 (org.eclipse.e4.ui.feature.feature.group 0.10.0.v20120422-1701-7BAE7GFQFxCN4sz0iedmVOY27B74)
  Software currently installed: Eclipse SDK 4.2.1.M20120914-1800 (org.eclipse.sdk.ide 4.2.1.M20120914-1800)
  Only one of the following can be installed at once: 
    Eclipse e4 Workbench Add-ons 0.10.1.v20120827-151636 (org.eclipse.e4.ui.workbench.addons.swt 0.10.1.v20120827-151636)
    Eclipse e4 Workbench Add-ons 0.10.1.v20120523-1955 (org.eclipse.e4.ui.workbench.addons.swt 0.10.1.v20120523-1955)
  Cannot satisfy dependency:
    From: Eclipse e4 Rich Client Platform 1.1.0.v20120521-2329-8yFTIGIbGGduEZ6-7-jLx41nXj (org.eclipse.e4.rcp.feature.group 1.1.0.v20120521-2329-8yFTIGIbGGduEZ6-7-jLx41nXj)
    To: org.eclipse.e4.ui.workbench.addons.swt [0.10.1.v20120827-151636]
  Cannot satisfy dependency:
    From: Eclipse e4 Modeled Workbench (Incubation) 0.10.0.v20120422-1701-7BAE7GFQFxCN4sz0iedmVOY27B74 (org.eclipse.e4.ui.feature.feature.group 0.10.0.v20120422-1701-7BAE7GFQFxCN4sz0iedmVOY27B74)
    To: org.eclipse.e4.ui.workbench.addons.swt [0.10.1.v20120523-1955]
  Cannot satisfy dependency:
    From: Eclipse Platform 4.2.1.v20120814-120134-9JF7BHVGFyMveli1uX6aTH0q-eAap6PAgOP5mO (org.eclipse.platform.feature.group 4.2.1.v20120814-120134-9JF7BHVGFyMveli1uX6aTH0q-eAap6PAgOP5mO)
    To: org.eclipse.rcp.feature.group [4.2.1.v20120814-120134-7IAPA8BrHQicS-rjP0GbqK780kMy]
  Cannot satisfy dependency:
    From: Eclipse RCP 4.2.1.v20120814-120134-7IAPA8BrHQicS-rjP0GbqK780kMy (org.eclipse.rcp.feature.group 4.2.1.v20120814-120134-7IAPA8BrHQicS-rjP0GbqK780kMy)
    To: org.eclipse.e4.rcp.feature.group [1.1.0.v20120521-2329-8yFTIGIbGGduEZ6-7-jLx41nXj]
  Cannot satisfy dependency:
    From: Eclipse Project SDK 4.2.1.v20120814-120134-7T7oDODQ-3Heq-afCDlg7T4xJuvxaC2ohMfCfB5451Rz0 (org.eclipse.sdk.feature.group 4.2.1.v20120814-120134-7T7oDODQ-3Heq-afCDlg7T4xJuvxaC2ohMfCfB5451Rz0)
    To: org.eclipse.platform.feature.group [4.2.1.v20120814-120134-9JF7BHVGFyMveli1uX6aTH0q-eAap6PAgOP5mO]
  Cannot satisfy dependency:
    From: Eclipse SDK 4.2.1.M20120914-1800 (org.eclipse.sdk.ide 4.2.1.M20120914-1800)
    To: org.eclipse.sdk.feature.group [4.2.1.v20120814-120134-7T7oDODQ-3Heq-afCDlg7T4xJuvxaC2ohMfCfB5451Rz0]
Re: e4 IDE setup error [message #985288 is a reply to message #984597] Thu, 15 November 2012 09:29 Go to previous messageGo to next message
Sopot Cela is currently offline Sopot Cela
Messages: 597
Registered: December 2010
Senior Member

Try http://download.eclipse.org/e4/downloads/drops/I20121113-2200/repository for the tooling update site? Does it happen again?
Re: e4 IDE setup error [message #985987 is a reply to message #985288] Sat, 17 November 2012 00:46 Go to previous messageGo to next message
Craig Foote is currently offline Craig Foote
Messages: 195
Registered: July 2009
Senior Member
Thanks, that worked!
Re: e4 IDE setup error [message #993837 is a reply to message #985987] Tue, 25 December 2012 17:16 Go to previous messageGo to next message
Antonio is currently offline Antonio
Messages: 39
Registered: July 2009
Member
Il 17/11/2012 01:46, Craig Foote ha scritto:
> Thanks, that worked!
Hi to all, i use this repository:
http://download.eclipse.org/e4/downloads/drops/I20121113-2200/repository
but it's don't work i see this message "could not find ...." can you
help me?

best regads
Antonio
Re: e4 IDE setup error [message #994054 is a reply to message #993837] Wed, 26 December 2012 09:02 Go to previous message
Sopot Cela is currently offline Sopot Cela
Messages: 597
Registered: December 2010
Senior Member

use it as an *update site*
Previous Topic:Missing packages during export
Next Topic:Hello world in eclipse 4
Goto Forum:
  


Current Time: Thu Oct 02 08:27:31 GMT 2014

Powered by FUDForum. Page generated in 0.01837 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software